### Virtual Method

# Adw MessageDialogresponse

since: 1.2

#### Declaration [src]

    void
    response (
      AdwMessageDialog* self,
      const char* response
    )

#### Description [src]

Emits the `AdwMessageDialog::response` signal with the given response ID.

Used to indicate that the user has responded to the dialog in some way.

Available since: 1.2

Emits signal | `Adw.MessageDialog::response`

#### Parameters

`response`

  Type: `const char*`

  Response ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.